Page MenuHomeFreeBSD

www/tomcat-native2: new port
ClosedPublic

Authored by michaelo on Apr 17 2024, 1:27 PM.
Tags
None
Referenced Files
Unknown Object (File)
Tue, May 21, 10:59 PM
Unknown Object (File)
Sun, May 5, 1:29 AM
Unknown Object (File)
Mon, Apr 29, 8:41 PM
Unknown Object (File)
Mon, Apr 29, 9:41 AM
Unknown Object (File)
Sat, Apr 27, 1:25 AM
Unknown Object (File)
Fri, Apr 26, 5:16 AM
Unknown Object (File)
Apr 19 2024, 5:43 PM
Subscribers

Details

Summary

PR: 276736
Approved by: jrm (mentor), otis (mentor), ale
Tested by: jonc@chen.org.nz

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

michaelo created this revision.

Thanks. Looks good. Could you also run it through something like portlint -AC and portclippy/portfmt?

This revision is now accepted and ready to land.Apr 17 2024, 1:41 PM

One important thing to note: I could bring back OpenSSL 1.1.1 support with a simple patch because

commit 2e23d2c0fc339a3161fdeef92d2740c3884cc22d (HEAD -> main)
Author: Michael Osipov <michaelo@apache.org>
Date:   2024-04-17T15:51:40+02:00

    Revert "Map the OpenSSL 3.x FIPS behaviour to the 1.x API"

    This reverts commit 101eda32be49559cc75622cb15fbfd128e02572a.

Outcome:

osipovmi@deblndw011x:~/var/Projekte/tomcat-native (main %>)
$ ldd ./native/.libs/libtcnative-2.so
./native/.libs/libtcnative-2.so:
        libssl.so.111 => /usr/lib/libssl.so.111 (0x1d8ee8ddf000)
        libcrypto.so.111 => /lib/libcrypto.so.111 (0x1d8ee745c000)
        libapr-1.so.0 => /usr/local/lib/libapr-1.so.0 (0x1d8ee781a000)
        libcrypt.so.5 => /lib/libcrypt.so.5 (0x1d8ee825b000)
        libthr.so.3 => /lib/libthr.so.3 (0x1d8ee9507000)
        libc.so.7 => /lib/libc.so.7 (0x1d8ee366b000)
In D44824#1021968, @jrm wrote:

Thanks. Looks good. Could you also run it through something like portlint -AC and portclippy/portfmt?

I did:

osipovmi@deblndw011x:~/var/Projekte/freebsd/ports/www/tomcat-native2 (pr-276736 <>)
$ portlint -AC
WARN: Makefile: [30]: BROKEN messages should begin with a lowercase letter and end without a period.
WARN: Makefile: using hyphen in PORTNAME. consider using PKGNAMEPREFIX and/or PKGNAMESUFFIX.
WARN: Makefile: "BROKEN_SSL" has to appear earlier.
WARN: Consider to set DEVELOPER=yes in /etc/make.conf
0 fatal errors and 4 warnings found.

The only viable thing I could try is WARN: Makefile: "BROKEN_SSL" has to appear earlier.. The rest is out of my control basically.

Improved version which also supports OpenSSL 1.1.1 by reverting a few changes
from Tomcat Native. Ran full Tomcat test suites, all tests pass.

This revision now requires review to proceed.Apr 17 2024, 9:41 PM
This revision is now accepted and ready to land.Apr 19 2024, 2:07 PM

No response fron @ale , I will go ahead and push this with @jrm's approval.

This revision was automatically updated to reflect the committed changes.